Subject: Re: [PATCH] net: add ability to clear stats via ethtool - e1000/pcnet32

From: Alan Cox <[email-masked]>
Date: Thu, 29 May 2008 15:45:25 +0100

> > Many of the kernel's accounting accumulators cannot be reset.  We
> > handle that in userspace tools by using subtraction.
> 
> I don't think that should preclude the ability to reset these, unless it is
> shown that it would break something very badly.

For one quite a few of the network cards keep the stats in hardware and
don't neccessarily have a way to reset them. In other cases there is a
mix of OS accumulated stats bulk updated by overflow events on the device
itself.

Its a lot of complexity, and changes all over the places for the sake of
a trivial userspace change. I would suggest you instead write a quick bit
of perl or python that fetches the stats and then updates every second
with the changes.

Alan